package com.ssj.service.conch.common.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author yangcan
 * 类描述:环信语音推送
 * 创建时间:2018年12月24日 下午4:10:27

 */
public class EasemobAPNsRequest extends BaseRequest {
	
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "easemobName", value = "好友环信Id", required = true)
    private String easemobName;

	@ApiModelProperty(name = "platformType", value = "平台(1:贝壳端 2:家长端 3:学生端 4:老师端 5:校长端)", required = true)
    private int platformType;
	
	@ApiModelProperty(name = "messageType", value = "消息类型(语音:voice)", required = true)
	private String messageType;
	
	@ApiModelProperty(name = "content", value = "内容", required = false)
	private String content;

	public String getEasemobName() {
		return easemobName;
	}

	public void setEasemobName(String easemobName) {
		this.easemobName = easemobName;
	}

	public int getPlatformType() {
		return platformType;
	}

	public void setPlatformType(int platformType) {
		this.platformType = platformType;
	}

	public String getMessageType() {
		return messageType;
	}

	public void setMessageType(String messageType) {
		this.messageType = messageType;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}
}
